LFR-FSW - Bug #354

Bit HK_LFR_CALIB_ENABLED n'est pas géré
06/03/2015 11:33 AM - Veronique bouzid

Status: Closed Start date: 06/03/2015
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Lancement du script /opt/VALIDATION_R2/Ifrverif/LFR_SVS/SVS-0003/loop_tm_lfr_tc_exe.py

Suite a I'envoi d'un TC_LFR_ENABLE_CALIBRATION et de TM_LFR_TC_EXE_SUCCESS, le paquet TM_LFR_HK montre que le
bit HK_LFR_CALIB_ENABLED esta 0

14:29:40.226556, TC_LFR_ENABLE_CALIBRATION
14:29:40.238556, TM_LFR_TC_EXE_SUCCESS
14:29:40.317008, TM_LFR_HK,HK_LFR_CALIB_ENABLED: DISABLED =0

De meme I'envoi de la commande TC_LFR_DISABLE_CALIBRATION ne permet pas de verifier que le bit est remis a zéro.

Contexte de test

FSW 2.0.2.2
VHDL 1.1.63
EM 1

SocExplorerEngine.getSocExplorer: Version = 0.4.5, Branch = default, Changeset = c4b98d42ee59
StarDundee spacewire
Mini-LFR n°5 en mode TIMEGEN

History

#1 - 04/06/2015 10:28 AM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid

fsw >= 3.0.0.3
bug identifié et corrigé

#2 - 05/06/2015 01:58 PM - Veronique bouzid

- Status changed from Resolved to Closed

Le bug est corrigé.
Le script /home/validation/data/R2+/scripts/extract._SVS-0003.py qui a mis en evidence le bug a été rejoué.

Par contre le contexte est différent puisque nous sommes en R3 et non plus en R2.
Positionnement du bit HK_LFR_CALIB_ENABLED suite a I'envoi de TC_LFR_ENABLE_CALIBRATION

15:47:50.404278, TM_LFR_HK, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET = 0, DATA_FIELD_HEADER_FLAG:
WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: HK_ROUTINE = 4, (PACKET_ID=0xcc4),
SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=100, (PACKET _SEQUENGE_CONTROL=0xc064),
PACKET _LENGTH=129, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE:
HOUSEKEEPING_AND_DIAGNOSTIC_DATA_REPORTING = 3, SERVICE_SUBTYPE: HK_PARAMETER_REPORT = 25, DESTINATION_ID:
GROUND = 0, TIME=0x80000066320e, PA_LFR_HK_REPORT SID: LFR_HK_SID = 1, HK_LFR_MODE: SBM1 = 3,
HK_LFR_DPU_SPW_ENABLED: ENABLED = 1, HK_LFR_DPU_SPW_LINK_STATE: RUN = 5, SPARE=0x0, HK_LFR_SC_POTENTIEL_FLAG:
OFF = 0, HK_LFR_MAG_FIELDS_FLAG: OFF = 0, SY_LFR_WATCHDOG_ENABLED: DISABLED = 0, HK_LFR_CALIB_ENABLED: DISABLED =
0,

15:47:50.977968, TC_LFR_ENABLE_CALIBRATION,
15:47:51.045002, TM_LFR_TC_EXE_SUCCESS, TIME=0x80000066d6cd
15:47:51.342569, TM_LFR_HK, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET = 0, DATA FIELD_HEADER FLAG:
WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY: HK_ROUTINE = 4, (PACKET _ID=0xcc4),
SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=101, (PACKET_SEQUENCE_CONTROL=0xc065),
PACKET LENGTH=129, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE:
HOUSEKEEPING_AND_DIAGNOSTIC_DATA_REPORTING = 3, SERVICE_SUBTYPE: HK_PARAMETER_REPORT = 25, DESTINATION_ID:
GROUND = 0, TIME=0x80000067320d, PA_LFR_HK_REPORT _SID: LFR_HK_SID = 1, HK_LFR_MODE: SBM1 = 3,
HK_LFR_DPU_SPW_ENABLED: ENABLED = 1, HK_LFR_DPU_SPW_LINK_STATE: RUN = 5, SPARE=0x0, HK_LFR_SC_POTENTIEL_FLAG:
OFF = 0, HK_LFR_MAG_FIELDS_FLAG: OFF = 0, SY_LFR_WATCHDOG_ENABLED: DISABLED = 0, *HK_LFR_CALIB_ENABLED: ENABLED =
1

Annulation du HK_LFR_CALIB_ENABLED suite 4 I'envoi de TC_LFR_DISABLE_CALIBRATION
15:47:51.378241, TC_LFR_DISABLE_CALIBRATION
15:47:51.39247, TM_LFR_TC_EXE_SUCCESS , TIME=0x800000673ded

15:47:52.342618, TM_LFR_HK,CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0, DATA_FIELD_HEADER_FLAG:
WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: HK_ROUTINE = 4, (PACKET_ID=0xcc4),
SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=102, (PACKET_SEQUENCE_CONTROL=0xc066),
PACKET _LENGTH=129, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE:
HOUSEKEEPING_AND_DIAGNOSTIC_DATA_REPORTING = 3, SERVICE_SUBTYPE: HK_PARAMETER_REPORT = 25, DESTINATION_ID:
GROUND = 0, TIME=0x80000068320d, PA_LFR_HK_REPORT_SID: LFR_HK_SID = 1, HK_LFR_MODE: SBM1 = 3,
HK_LFR_DPU_SPW_ENABLED: ENABLED = 1, HK_LFR_DPU_SPW_LINK_STATE: RUN = 5, SPARE=0x0, HK_LFR_SC_POTENTIEL_FLAG:
OFF =0, HK_LFR_MAG_FIELDS_FLAG: OFF = 0, SY_LFR_WATCHDOG_ENABLED: DISABLED = 0, HK_LFR_CALIB_ENABLED: DISABLED =
0,

Les fichiers de logs sont dans /home/validation/data/R3/3.0.0.3/SVS-0003.

Il est préférable d'utiliser les scripts dédiés aux 2 TC_LFR_ENABLE_CALIBRATION/TC_LFR_DISABLE_CALIBRATION qui se trouvent dans
/opt/VALIDATION_RS3/Ifrverif/LFR_SVS/SVS-0053.

Contexte de test

FSW 3.0.0.3

VHDL: 1.1.68

EM1 sans timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee spacewire
